Index: /LMDZ5/trunk/libf/dyn3d_common/initfluxsto.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3d_common/initfluxsto.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d_common/initfluxsto.F	(revision 2600)
@@ -10,4 +10,5 @@
 #endif
       USE comconst_mod, ONLY: pi
+      USE comvert_mod, ONLY: nivsigs
       implicit none
 
@@ -41,5 +42,4 @@
       include "dimensions.h"
       include "paramet.h"
-      include "comvert.h"
       include "comgeom.h"
       include "temps.h"
@@ -85,6 +85,6 @@
       CALL ymds2ju(zan, 1, idayref, 0.0, zjulian)
       tau0 = itau_dyn
-	
-	do jj = 1, jjp1
+        
+        do jj = 1, jjp1
         do ii = 1, iip1
           rlong(ii,jj) = rlonu(ii) * 180. / pi
@@ -112,6 +112,6 @@
      .             1, iip1, 1, jjm,
      .             tau0, zjulian, tstep, vhoriid, filevid)
-	
-	rl(1,1) = 1.
+        
+        rl(1,1) = 1.
       call histbeg('defstoke.nc', 1, rl, 1, rl,
      .             1, 1, 1, 1,
@@ -130,5 +130,5 @@
       call histhori(fileid, iip1, rlong, jjp1, rlat, 'scalar',
      .              'Grille points scalaires', thoriid)
-	
+        
 C
 C  Appel a histvert pour la grille verticale
@@ -149,6 +149,6 @@
 C
 C  Appels a histdef pour la definition des variables a sauvegarder
-	
-	CALL histdef(fileid, "phis", "Surface geop. height", "-",
+        
+        CALL histdef(fileid, "phis", "Surface geop. height", "-",
      .                iip1,jjp1,thoriid, 1,1,1, -99, 32,
      .                "once", t_ops, t_wrt)
@@ -157,6 +157,6 @@
      .                iip1,jjp1,thoriid, 1,1,1, -99, 32,
      .                "once", t_ops, t_wrt)
-	
-	CALL histdef(filedid, "dtvr", "tps dyn", "s",
+        
+        CALL histdef(filedid, "dtvr", "tps dyn", "s",
      .                1,1,dhoriid, 1,1,1, -99, 32,
      .                "once", t_ops, t_wrt)
@@ -222,5 +222,5 @@
         call histsync(filedid)
       endif
-	
+        
 #else
 ! tell the user this routine should be run with ioipsl
Index: /LMDZ5/trunk/libf/dyn3d_common/inithist.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3d_common/inithist.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d_common/inithist.F	(revision 2600)
@@ -11,4 +11,5 @@
      &                        dynhist_file,dynhistv_file,dynhistu_file
        USE comconst_mod, ONLY: pi
+       USE comvert_mod, ONLY: presnivs
       implicit none
 
@@ -40,5 +41,4 @@
       include "dimensions.h"
       include "paramet.h"
-      include "comvert.h"
       include "comgeom.h"
       include "temps.h"
Index: /LMDZ5/trunk/libf/dyn3d_common/interpost.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3d_common/interpost.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d_common/interpost.F	(revision 2600)
@@ -9,5 +9,4 @@
       include "dimensions.h"
       include "paramet.h"
-      include "comvert.h"
       include "comgeom2.h"
 
Index: /LMDZ5/trunk/libf/dyn3d_common/interpre.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3d_common/interpre.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d_common/interpre.F	(revision 2600)
@@ -7,4 +7,5 @@
 
       USE comconst_mod, ONLY: g
+      USE comvert_mod, ONLY: ap, bp
 
        implicit none
@@ -13,5 +14,4 @@
       include "paramet.h"
       include "comdissip.h"
-      include "comvert.h"
       include "comgeom2.h"
       include "logic.h"
Index: /LMDZ5/trunk/libf/dyn3d_common/limx.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3d_common/limx.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d_common/limx.F	(revision 2600)
@@ -18,5 +18,4 @@
       include "paramet.h"
       include "logic.h"
-      include "comvert.h"
       include "comgeom.h"
 c
Index: /LMDZ5/trunk/libf/dyn3d_common/limy.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3d_common/limy.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d_common/limy.F	(revision 2600)
@@ -20,5 +20,4 @@
       include "paramet.h"
       include "logic.h"
-      include "comvert.h"
       include "comgeom.h"
 c
Index: /LMDZ5/trunk/libf/dyn3d_common/limz.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3d_common/limz.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d_common/limz.F	(revision 2600)
@@ -18,5 +18,4 @@
       include "paramet.h"
       include "logic.h"
-      include "comvert.h"
       include "comgeom.h"
 c
Index: /LMDZ5/trunk/libf/dyn3d_common/pentes_ini.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3d_common/pentes_ini.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d_common/pentes_ini.F	(revision 2600)
@@ -27,5 +27,4 @@
       include "dimensions.h"
       include "paramet.h"
-      include "comvert.h"
       include "comgeom2.h"
 
@@ -439,6 +438,6 @@
 
         DO l = 1,llm
-    	 DO j = 1,jjp1
-    	  DO i = 1,iip1
+             DO j = 1,jjp1
+              DO i = 1,iip1
                 IF (q(i,j,l,0).lt.0.)  THEN
 c                    PRINT*,'------------ BIP-----------' 
@@ -447,5 +446,5 @@
 c                    PRINT*,'QY(',i,j,l,')=',q(i,j,l,2)
 c                    PRINT*,'QZ(',i,j,l,')=',q(i,j,l,3)
-c       		     PRINT*,' PBL EN SORTIE DE PENTES'
+c                            PRINT*,' PBL EN SORTIE DE PENTES'
                      q(i,j,l,0)=0.
 c                    STOP
Index: /LMDZ5/trunk/libf/dyn3d_common/prather.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3d_common/prather.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d_common/prather.F	(revision 2600)
@@ -24,5 +24,4 @@
       include "dimensions.h"
       include "paramet.h"
-      include "comvert.h"
       include "comgeom2.h"
 
Index: /LMDZ5/trunk/libf/dyn3d_common/sortvarc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3d_common/sortvarc.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d_common/sortvarc.F	(revision 2600)
@@ -28,5 +28,4 @@
       INCLUDE "dimensions.h"
       INCLUDE "paramet.h"
-      INCLUDE "comvert.h"
       INCLUDE "comgeom.h"
       INCLUDE "ener.h"
Index: /LMDZ5/trunk/libf/dyn3d_common/traceurpole.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3d_common/traceurpole.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d_common/traceurpole.F	(revision 2600)
@@ -9,5 +9,4 @@
       include "paramet.h"
       include "comdissip.h"
-      include "comvert.h"
       include "comgeom2.h"
       include "logic.h"
Index: /LMDZ5/trunk/libf/dyn3d_common/vitvert.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3d_common/vitvert.F90	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d_common/vitvert.F90	(revision 2600)
@@ -5,8 +5,8 @@
 !-------------------------------------------------------------------------------
 ! Purpose: Compute vertical speed at sigma levels.
+  USE comvert_mod, ONLY: bp
   IMPLICIT NONE
   include "dimensions.h"
   include "paramet.h"
-  include "comvert.h"
 !===============================================================================
 ! Arguments:
Index: /LMDZ5/trunk/libf/dyn3d_common/writedynav.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3d_common/writedynav.F90	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d_common/writedynav.F90	(revision 2600)
@@ -32,5 +32,4 @@
   include "dimensions.h"
   include "paramet.h"
-  include "comvert.h"
   include "comgeom.h"
   include "temps.h"
Index: /LMDZ5/trunk/libf/dyn3d_common/writehist.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3d_common/writehist.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d_common/writehist.F	(revision 2600)
@@ -35,5 +35,4 @@
       include "dimensions.h"
       include "paramet.h"
-      include "comvert.h"
       include "comgeom.h"
       include "temps.h"
Index: /LMDZ5/trunk/libf/dyn3dmem/advect_new_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/advect_new_loc.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dmem/advect_new_loc.F	(revision 2600)
@@ -30,5 +30,4 @@
       include "dimensions.h"
       include "paramet.h"
-      include "comvert.h"
       include "comgeom.h"
       include "logic.h"
Index: /LMDZ5/trunk/libf/dyn3dmem/advtrac_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/advtrac_loc.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dmem/advtrac_loc.F	(revision 2600)
@@ -32,5 +32,4 @@
       include "dimensions.h"
       include "paramet.h"
-      include "comvert.h"
       include "comdissip.h"
       include "comgeom2.h"
@@ -172,5 +171,5 @@
 #endif
          
-	  GOTO 1234     
+          GOTO 1234     
 c-----------------------------------------------------------
 c     Appel des sous programmes d'advection
@@ -184,5 +183,5 @@
         if(iadv(iq).eq.10) THEN
      
-!LF	    call vlsplt_p(q(1,1,iq),2.,massem,wg,pbarug,pbarvg,dtvr)
+!LF            call vlsplt_p(q(1,1,iq),2.,massem,wg,pbarug,pbarvg,dtvr)
 
 c   ----------------------------------------------------------------
Index: /LMDZ5/trunk/libf/dyn3dmem/bilan_dyn_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/bilan_dyn_loc.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dmem/bilan_dyn_loc.F	(revision 2600)
@@ -18,9 +18,10 @@
       USE write_field_loc
       USE comconst_mod, ONLY: cpp, pi
+      USE comvert_mod, ONLY: presnivs
+      
       IMPLICIT NONE
 
       include "dimensions.h"
       include "paramet.h"
-      include "comvert.h"
       include "comgeom2.h"
       include "temps.h"
@@ -598,5 +599,5 @@
         do l=1,llm
           Q_cum(:,jjb:jje,l,iQ)=Q_cum(:,jjb:jje,l,iQ) 
-     .	                        /masse_cum(:,jjb:jje,l)
+     .                                /masse_cum(:,jjb:jje,l)
         enddo
 !$OMP ENDDO NOWAIT 
Index: /LMDZ5/trunk/libf/dyn3dmem/caldyn_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/caldyn_loc.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dmem/caldyn_loc.F	(revision 2600)
@@ -12,4 +12,5 @@
       USE caldyn_mod, ONLY: vcont, ucont, ang, p, massebx, masseby,
      &                      vorpot, ecin, bern, massebxy, convm
+      USE comvert_mod, ONLY: ap, bp
       
       IMPLICIT NONE
@@ -33,5 +34,4 @@
       include "dimensions.h"
       include "paramet.h"
-      include "comvert.h"
       include "comgeom.h"
 
Index: /LMDZ5/trunk/libf/dyn3dmem/call_calfis_mod.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/call_calfis_mod.F90	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dmem/call_calfis_mod.F90	(revision 2600)
@@ -83,6 +83,7 @@
   USE write_field
   USE comconst_mod, ONLY: dtphys
+  USE comvert_mod, ONLY: ap, bp, pressure_exner
+  
   IMPLICIT NONE
-    INCLUDE "comvert.h"
     INCLUDE "logic.h"
     INCLUDE "temps.h"
Index: /LMDZ5/trunk/libf/dyn3dmem/dudv2_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/dudv2_loc.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dmem/dudv2_loc.F	(revision 2600)
@@ -23,7 +23,6 @@
 c=======================================================================
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comvert.h"
+      include "dimensions.h"
+      include "paramet.h"
 
       REAL teta( ijb_u:ije_u,llm ),pkf( ijb_u:ije_u,llm )
Index: /LMDZ5/trunk/libf/dyn3dmem/dynetat0_loc.f90
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/dynetat0_loc.f90	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dmem/dynetat0_loc.f90	(revision 2600)
@@ -12,4 +12,5 @@
   USE control_mod, ONLY: planet_type
   USE assert_eq_m, ONLY: assert_eq
+  USE comvert_mod, ONLY: pa,preff
   USE comconst_mod, ONLY: cpp, daysec, dtvr, g, im, jm, kappa, lllm, &
                           omeg, rad
@@ -20,5 +21,4 @@
   include "paramet.h"
   include "temps.h"
-  include "comvert.h"
   include "comgeom.h"
   include "ener.h"
Index: /LMDZ5/trunk/libf/dyn3dmem/dynredem_loc.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/dynredem_loc.F90	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dmem/dynredem_loc.F90	(revision 2600)
@@ -13,4 +13,6 @@
                     NF90_CLOSE,  NF90_PUT_ATT, NF90_UNLIMITED, NF90_CLOBBER
   USE dynredem_mod, ONLY: cre_var, put_var, err, modname, fil
+  USE comvert_mod, ONLY: ap,bp,aps,bps,presnivs,pseudoalt,pa,preff, &
+                         nivsig,nivsigs
   USE comconst_mod, ONLY: cpp, daysec, dtvr, g, kappa, omeg, rad
   USE serre_mod, ONLY: clon,clat,grossismx,grossismy,dzoomx,dzoomy, &
@@ -20,5 +22,4 @@
   include "dimensions.h"
   include "paramet.h"
-  include "comvert.h"
   include "comgeom.h"
   include "temps.h"
@@ -182,5 +183,4 @@
   include "paramet.h"
   include "description.h"
-  include "comvert.h"
   include "comgeom.h"
   include "temps.h"
Index: /LMDZ5/trunk/libf/dyn3dmem/exner_hyb_loc_m.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/exner_hyb_loc_m.F90	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dmem/exner_hyb_loc_m.F90	(revision 2600)
@@ -36,4 +36,6 @@
     USE write_field_loc
     USE comconst_mod, ONLY: cpp, kappa, r, jmp1
+    USE comvert_mod, ONLY: preff
+    
     IMPLICIT NONE
     !
@@ -41,5 +43,4 @@
     include "paramet.h"
     include "comgeom.h"
-    include "comvert.h"
 
     INTEGER  ngrid
Index: /LMDZ5/trunk/libf/dyn3dmem/exner_milieu_loc_m.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/exner_milieu_loc_m.F90	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dmem/exner_milieu_loc_m.F90	(revision 2600)
@@ -32,4 +32,6 @@
     USE mod_filtreg_p
     USE comconst_mod, ONLY: cpp, kappa, r, jmp1
+    USE comvert_mod, ONLY: preff
+    
     IMPLICIT NONE
     !
@@ -37,5 +39,4 @@
     include "paramet.h"
     include "comgeom.h"
-    include "comvert.h"
 
     INTEGER  ngrid
Index: /LMDZ5/trunk/libf/dyn3dmem/gcm.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/gcm.F90	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dmem/gcm.F90	(revision 2600)
@@ -56,5 +56,4 @@
   include "paramet.h"
   include "comdissnew.h"
-  include "comvert.h"
   include "comgeom.h"
   include "logic.h"
Index: /LMDZ5/trunk/libf/dyn3dmem/geopot_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/geopot_loc.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dmem/geopot_loc.F	(revision 2600)
@@ -26,7 +26,6 @@
 c   -------------
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comvert.h"
+      include "dimensions.h"
+      include "paramet.h"
 
 c   Arguments:
Index: /LMDZ5/trunk/libf/dyn3dmem/groupe_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/groupe_loc.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dmem/groupe_loc.F	(revision 2600)
@@ -20,5 +20,4 @@
       include "paramet.h"
       include "comgeom2.h"
-      include "comvert.h"
 
 !     integer ngroup
Index: /LMDZ5/trunk/libf/dyn3dmem/guide_loc_mod.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/guide_loc_mod.F90	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dmem/guide_loc_mod.F90	(revision 2600)
@@ -345,4 +345,5 @@
     USE write_field_loc
     USE comconst_mod, ONLY: cpp, daysec, dtvr, kappa
+    USE comvert_mod, ONLY: ap, bp, preff, presnivs, pressure_exner
     
     IMPLICIT NONE
@@ -350,5 +351,4 @@
     INCLUDE "dimensions.h"
     INCLUDE "paramet.h"
-    INCLUDE "comvert.h"
 
     ! Variables entree
@@ -891,9 +891,9 @@
   USE Bands
   USE comconst_mod, ONLY: cpp, kappa
+  USE comvert_mod, ONLY: preff, pressure_exner, bp, ap, disvert_type
   IMPLICIT NONE
 
   include "dimensions.h"
   include "paramet.h"
-  include "comvert.h"
   include "comgeom2.h"
 
@@ -2129,4 +2129,5 @@
     USE mod_hallo, ONLY : gather_field_u, gather_field_v
     USE comconst_mod, ONLY: pi
+    USE comvert_mod, ONLY: presnivs
     IMPLICIT NONE
 
@@ -2135,5 +2136,4 @@
     INCLUDE "netcdf.inc"
     INCLUDE "comgeom2.h"
-    INCLUDE "comvert.h"
     
     ! Variables entree
Index: /LMDZ5/trunk/libf/dyn3dmem/iniacademic_loc.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/iniacademic_loc.F90	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dmem/iniacademic_loc.F90	(revision 2600)
@@ -19,4 +19,5 @@
   USE Write_Field
   USE comconst_mod, ONLY: cpp, kappa, g, daysec, dtvr, pi, im, jm
+  USE comvert_mod, ONLY: ap, bp, preff, presnivs, pressure_exner
 
   !   Author:    Frederic Hourdin      original: 15/01/93
@@ -31,5 +32,4 @@
   include "dimensions.h"
   include "paramet.h"
-  include "comvert.h"
   include "comgeom.h"
   include "academic.h"
Index: /LMDZ5/trunk/libf/dyn3dmem/initdynav_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/initdynav_loc.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dmem/initdynav_loc.F	(revision 2600)
@@ -15,4 +15,6 @@
      &        dynhistave_file,dynhistvave_file,dynhistuave_file
        USE comconst_mod, ONLY: pi
+       USE comvert_mod, ONLY: presnivs
+       
        implicit none
 
@@ -44,5 +46,4 @@
       include "dimensions.h"
       include "paramet.h"
-      include "comvert.h"
       include "comgeom.h"
       include "temps.h"
Index: /LMDZ5/trunk/libf/dyn3dmem/initfluxsto_p.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/initfluxsto_p.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dmem/initfluxsto_p.F	(revision 2600)
@@ -14,4 +14,5 @@
        use misc_mod
        USE comconst_mod, ONLY: pi
+       USE comvert_mod, ONLY: nivsigs
        
       implicit none
@@ -46,5 +47,4 @@
       include "dimensions.h"
       include "paramet.h"
-      include "comvert.h"
       include "comgeom.h"
       include "temps.h"
@@ -105,6 +105,6 @@
       CALL ymds2ju(zan, 1, idayref, 0.0, zjulian)
       tau0 = itau_dyn
-	
-	do jj = 1, jjp1
+        
+        do jj = 1, jjp1
         do ii = 1, iip1
           rlong(ii,jj) = rlonu(ii) * 180. / pi
@@ -164,5 +164,5 @@
      .             1, iip1, 1, jjn,tau0, zjulian, tstep, vhoriid,
      .             filevid,dynv_domain_id)
-	
+        
       rl(1,1) = 1.
       
@@ -190,5 +190,5 @@
       call histhori(fileid, iip1, rlong(:,jjb:jje),jjn,rlat(:,jjb:jje),
      .             'scalar','Grille points scalaires', thoriid)
-	
+        
 C
 C  Appel a histvert pour la grille verticale
@@ -210,6 +210,6 @@
 C
 C  Appels a histdef pour la definition des variables a sauvegarder
-	
-	CALL histdef(fileid, "phis", "Surface geop. height", "-",
+        
+        CALL histdef(fileid, "phis", "Surface geop. height", "-",
      .                iip1,jjn,thoriid, 1,1,1, -99, 32,
      .                "once", t_ops, t_wrt)
@@ -218,8 +218,8 @@
      .                iip1,jjn,thoriid, 1,1,1, -99, 32,
      .                "once", t_ops, t_wrt)
-	
+        
         if (mpi_rank==0) then
-	
-	CALL histdef(filedid, "dtvr", "tps dyn", "s",
+        
+        CALL histdef(filedid, "dtvr", "tps dyn", "s",
      .                1,1,dhoriid, 1,1,1, -99, 32,
      .                "once", t_ops, t_wrt)
@@ -288,5 +288,5 @@
         if (mpi_rank==0) call histsync(filedid)
       endif
-	
+        
 #else
       write(lunout,*)'initfluxsto_p: Needs IOIPSL to function'
Index: /LMDZ5/trunk/libf/dyn3dmem/inithist_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/inithist_loc.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dmem/inithist_loc.F	(revision 2600)
@@ -15,4 +15,6 @@
      &                        dynhist_file,dynhistv_file,dynhistu_file
        USE comconst_mod, ONLY: pi
+       USE comvert_mod, ONLY: presnivs
+       
        implicit none
 
@@ -43,5 +45,4 @@
       include "dimensions.h"
       include "paramet.h"
-      include "comvert.h"
       include "comgeom.h"
       include "temps.h"
Index: /LMDZ5/trunk/libf/dyn3dmem/integrd_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/integrd_loc.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dmem/integrd_loc.F	(revision 2600)
@@ -13,4 +13,6 @@
       USE infotrac, ONLY: ok_iso_verif ! ajout CRisi
       USE comconst_mod, ONLY: pi
+      USE comvert_mod, ONLY: ap, bp
+      
       IMPLICIT NONE
 
@@ -34,5 +36,4 @@
       include "paramet.h"
       include "comgeom.h"
-      include "comvert.h"
       include "logic.h"
       include "temps.h"
Index: /LMDZ5/trunk/libf/dyn3dmem/leapfrog_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/leapfrog_loc.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dmem/leapfrog_loc.F	(revision 2600)
@@ -33,4 +33,6 @@
        use exner_milieu_loc_m, only: exner_milieu_loc
        USE comconst_mod, ONLY: cpp, dtvr, ihf
+       USE comvert_mod, ONLY: ap, bp, pressure_exner
+       
       IMPLICIT NONE
 
@@ -69,5 +71,4 @@
       include "paramet.h"
       include "comdissnew.h"
-      include "comvert.h"
       include "comgeom.h"
       include "logic.h"
@@ -1632,5 +1633,5 @@
             IF( MOD(itau,iecri).EQ.0) THEN
              ! Ehouarn: output only during LF or Backward Matsuno
-	     if (leapf.or.(.not.leapf.and.(.not.forward))) then
+             if (leapf.or.(.not.leapf.and.(.not.forward))) then
 
 c$OMP BARRIER
@@ -1642,5 +1643,5 @@
 #ifdef CPP_IOIPSL
              if (ok_dyn_ins) then
-	         CALL writehist_loc(itau,vcov,ucov,teta,pk,phi,q,
+                 CALL writehist_loc(itau,vcov,ucov,teta,pk,phi,q,
      &                              masse,ps,phis)
              endif
Index: /LMDZ5/trunk/libf/dyn3dmem/qminimum_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/qminimum_loc.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dmem/qminimum_loc.F	(revision 2600)
@@ -7,7 +7,6 @@
 c             pour l'eau vapeur et l'eau liquide
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comvert.h"
+      include "dimensions.h"
+      include "paramet.h"
 c
       INTEGER nqtot ! CRisi: on remplace nq par nqtot
Index: /LMDZ5/trunk/libf/dyn3dmem/sw_case_williamson91_6_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/sw_case_williamson91_6_loc.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dmem/sw_case_williamson91_6_loc.F	(revision 2600)
@@ -28,4 +28,5 @@
       USE parallel_lmdz
       USE comconst_mod, ONLY: cpp, omeg, rad
+      USE comvert_mod, ONLY: ap, bp, preff
 
       IMPLICIT NONE
@@ -36,5 +37,4 @@
       include "dimensions.h"
       include "paramet.h"
-      include "comvert.h"
       include "comgeom.h"
       include "iniprint.h"
Index: /LMDZ5/trunk/libf/dyn3dmem/top_bound_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/top_bound_loc.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dmem/top_bound_loc.F	(revision 2600)
@@ -6,9 +6,10 @@
       USE comconst_mod, ONLY: iflag_top_bound, mode_top_bound,
      &                        tau_top_bound
+      USE comvert_mod, ONLY: presnivs, preff, scaleheight
+
       IMPLICIT NONE
 c
       include "dimensions.h"
       include "paramet.h"
-      include "comvert.h"
       include "comgeom2.h"
 
Index: /LMDZ5/trunk/libf/dyn3dmem/vitvert_loc.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/vitvert_loc.F90	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dmem/vitvert_loc.F90	(revision 2600)
@@ -6,8 +6,9 @@
 ! Purpose: Compute vertical speed at sigma levels.
   USE parallel_lmdz
+  USE comvert_mod, ONLY: bp
+  
   IMPLICIT NONE
   include "dimensions.h"
   include "paramet.h"
-  include "comvert.h"
 !===============================================================================
 ! Arguments:
Index: /LMDZ5/trunk/libf/dyn3dmem/vlsplt_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/vlsplt_loc.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dmem/vlsplt_loc.F	(revision 2600)
@@ -20,5 +20,4 @@
       include "paramet.h"
       include "logic.h"
-      include "comvert.h"
 c
 c
@@ -422,5 +421,4 @@
       include "paramet.h"
       include "logic.h"
-      include "comvert.h"
       include "comgeom.h"
 c
@@ -877,5 +875,4 @@
       include "paramet.h"
       include "logic.h"
-      include "comvert.h"
 c
 c
Index: /LMDZ5/trunk/libf/dyn3dmem/vlspltgen_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/vlspltgen_loc.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dmem/vlspltgen_loc.F	(revision 2600)
@@ -38,5 +38,4 @@
       include "paramet.h"
       include "logic.h"
-      include "comvert.h"
 
 c
Index: /LMDZ5/trunk/libf/dyn3dmem/vlspltqs_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/vlspltqs_loc.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dmem/vlspltqs_loc.F	(revision 2600)
@@ -15,5 +15,4 @@
       include "paramet.h"
       include "logic.h"
-      include "comvert.h"
 c
 c
@@ -173,9 +172,9 @@
 c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
         DO l=1,llm 
-	  iadvplus(ip1jm+1:ip1jmp1,l)=0
+          iadvplus(ip1jm+1:ip1jmp1,l)=0
         ENDDO
 c$OMP END DO NOWAIT
       endif
-      	
+              
 c   calcul des flux a gauche et a droite
 
@@ -413,5 +412,5 @@
 c    ********************************************************************
 c     q,masse_adv_v,w sont des arguments d'entree  pour le s-pg ....
-c     qsat 	       est   un argument de sortie pour le s-pg ....
+c     qsat                est   un argument de sortie pour le s-pg ....
 c
 c
@@ -425,5 +424,4 @@
       include "paramet.h"
       include "logic.h"
-      include "comvert.h"
       include "comgeom.h"
 c
@@ -581,5 +579,5 @@
          dyq(ij,l)=fn*dyq(ij,l)
         ENDDO
-	  
+          
       ENDIF
       
@@ -602,5 +600,5 @@
         ENDDO
         
-c   calcul des pentes limites aux poles	
+c   calcul des pentes limites aux poles        
         fs=1.
         DO ij=1,iim
@@ -613,5 +611,5 @@
          dyq(ip1jm+ij,l)=fs*dyq(ip1jm+ij,l)
         ENDDO
-	
+        
       ENDIF
 
@@ -778,10 +776,10 @@
               masse(ij,l,iq)=newmasse
            ENDDO
-	 
-	 ENDIF
          
-	 IF (pole_sud) THEN
-	 
-	   convps  = -SSUM(iim,qbyv(ip1jm-iim,l,iq),iq,1)/apols
+         ENDIF
+         
+         IF (pole_sud) THEN
+         
+           convps  = -SSUM(iim,qbyv(ip1jm-iim,l,iq),iq,1)/apols
            convmps = -SSUM(iim,masse_adv_v(ip1jm-iim,l),1)/apols
            DO ij = ip1jm+1,ip1jmp1
@@ -791,6 +789,6 @@
               masse(ij,l,iq)=newmasse
            ENDDO
-	 
-	 ENDIF
+         
+         ENDIF
 c.-. fin ancienne version
 
Index: /LMDZ5/trunk/libf/dyn3dmem/writedynav_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/writedynav_loc.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dmem/writedynav_loc.F	(revision 2600)
@@ -44,5 +44,4 @@
       include "dimensions.h"
       include "paramet.h"
-      include "comvert.h"
       include "comgeom.h"
       include "temps.h"
Index: /LMDZ5/trunk/libf/dyn3dmem/writehist_loc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dmem/writehist_loc.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dmem/writehist_loc.F	(revision 2600)
@@ -44,5 +44,4 @@
       include "dimensions.h"
       include "paramet.h"
-      include "comvert.h"
       include "comgeom.h"
       include "temps.h"
Index: /LMDZ5/trunk/libf/dyn3dpar/advect_new_p.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dpar/advect_new_p.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dpar/advect_new_p.F	(revision 2600)
@@ -29,5 +29,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comvert.h"
 #include "comgeom.h"
 #include "logic.h"
Index: /LMDZ5/trunk/libf/dyn3dpar/advect_p.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dpar/advect_p.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dpar/advect_p.F	(revision 2600)
@@ -28,5 +28,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comvert.h"
 #include "comgeom.h"
 #include "logic.h"
@@ -86,5 +85,5 @@
                   
            uav(ij,l)=0.25*(ucov(ij,l)+ucov(ij-iip1,l))
-     .	             +0.25*(ucov(ij+iip1,l)+ucov(ij,l))
+     .                     +0.25*(ucov(ij+iip1,l)+ucov(ij,l))
          ENDDO
          
Index: /LMDZ5/trunk/libf/dyn3dpar/advtrac_p.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3dpar/advtrac_p.F90	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dpar/advtrac_p.F90	(revision 2600)
@@ -24,5 +24,4 @@
   include "dimensions.h"
   include "paramet.h"
-  include "comvert.h"
   include "comdissip.h"
   include "comgeom2.h"
Index: /LMDZ5/trunk/libf/dyn3dpar/bilan_dyn_p.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dpar/bilan_dyn_p.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dpar/bilan_dyn_p.F	(revision 2600)
@@ -18,9 +18,10 @@
       use write_field_p
       USE comconst_mod, ONLY: cpp, pi
+      USE comvert_mod, ONLY: presnivs
+      
       IMPLICIT NONE
 
 #include "dimensions.h"
 #include "paramet.h"
-#include "comvert.h"
 #include "comgeom2.h"
 #include "temps.h"
@@ -202,7 +203,7 @@
 
 !        if (i_sortie.eq.1) then
-!	 file='dynzon'
+!         file='dynzon'
 !         if (mpi_rank==0) then
-!	 call inigrads(ifile,1
+!         call inigrads(ifile,1
 !     s  ,0.,180./pi,0.,0.,jjm,rlatv,-90.,90.,180./pi
 !     s  ,llm,presnivs,1.
@@ -568,5 +569,5 @@
         do l=1,llm
           Q_cum(:,jjb:jje,l,iQ)=Q_cum(:,jjb:jje,l,iQ) 
-     .	                        /masse_cum(:,jjb:jje,l)
+     .                                /masse_cum(:,jjb:jje,l)
         enddo
 !$OMP ENDDO NOWAIT 
Index: /LMDZ5/trunk/libf/dyn3dpar/caldyn_p.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dpar/caldyn_p.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dpar/caldyn_p.F	(revision 2600)
@@ -10,4 +10,5 @@
       USE parallel_lmdz
       USE Write_Field_p
+      USE comvert_mod, ONLY: ap, bp
       
       IMPLICIT NONE
@@ -31,5 +32,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comvert.h"
 #include "comgeom.h"
 
Index: /LMDZ5/trunk/libf/dyn3dpar/convmas1_p.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dpar/convmas1_p.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dpar/convmas1_p.F	(revision 2600)
@@ -32,5 +32,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comvert.h"
 #include "logic.h"
 
Index: /LMDZ5/trunk/libf/dyn3dpar/convmas2_p.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dpar/convmas2_p.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dpar/convmas2_p.F	(revision 2600)
@@ -32,5 +32,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comvert.h"
 #include "logic.h"
 
Index: /LMDZ5/trunk/libf/dyn3dpar/convmas_p.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dpar/convmas_p.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dpar/convmas_p.F	(revision 2600)
@@ -32,5 +32,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comvert.h"
 #include "logic.h"
 
